Watchlist on meta wiki not displaying changes until "show" button is clicked
Closed, DuplicatePublic

Description

Currently on meta wiki, but no other projects (en.wp, wikidata, en.wiktionary and commons tested, I don't have sufficiently large watchlists on other projects) when navigating to special:watchlist from any other page, only the message "No changes during the given period match these criteria. " is displayed, regardless of settings and number of changes that have been made, until you click the "show" button in the watchlist options. I have only what I believe to be the default settings: (hide wikidata, page categorisation enabled, al others not enabled, 30 days, all namespaces). I have 396 pages on my watchlist on Meta.

Steps to reproduce:

  1. Load any page on metawiki, other than special:watchlist (e.g. the main page)
  2. Navigate to your watchlist (using either the link at the top of the page or by entering special:watchlist in the search box and pressing go)

Expected result:

  • changes from the last 30 days in all namespaces are displayed
  • title says, e.g. "Below are the last 51 changes in the last 720 hours, as of 6 July 2018, 12:30."

Actual result:

  • no changes are displayed.
  • Title says, "Below are the last 0 changes in the last 0 hours, as of <timestamp>", even when the latest change is less than 1 minute old.

Workaround:

  • click "show" in the watchlist options area, with or without making changes.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJul 6 2018, 12:37 PM
Restricted Application added a project: Growth-Team. · View Herald TranscriptJul 6 2018, 2:11 PM

Cannot reproduce.

Does the problem also happen when you use ?safemode=1? See https://www.mediawiki.org/wiki/Help:Locating_broken_scripts
Has someone else reproduced this problem on meta?

I'm not sure where the place to report this on meta would be, but my searches have not turned up anything relevant.

Adding ?safemode=1 to the url makes no difference, whether the url is https://meta.wikimedia.org/wiki/Special:Watchlist or https://meta.wikimedia.org/w/index.php?title=Special%3AWatchlist - changes are only displayed when the days parameter is explicitly included in the URL, e.g. https://meta.wikimedia.org/w/index.php?title=Special%3AWatchlist&days=30&hidecategorization=1&hideWikibase=1&namespace=&action=submit
Adding ?days=1 (or even ?days=0.1) to either url does work, but including the other parameters but not days= does not.

The behaviour is identical in Firefox 56.0 and Chromium 66.0.3359.181

The only non-standard thing I have on meta is https://meta.wikimedia.org/wiki/User:Thryduulf/monobook.js which is a transclusion of popups.js that has been untouched since 2007. I've only noticed this problem in the past ~week.

This comment was removed by wassan.anmol117.

Can't reproduce it on Firefox 60 and Chrome 67.

It seems that the default "days to display in watchlist" had somehow become set to 0, and increasing that value has apparently fixed the problem.
Given that a value of 0 apparently breaks the watchlist, it might be an idea to either not allow that or at least warn that it will break, however unless someone wants to make this task about that, this task can probably be closed.

Based on this and T176033 I've created T199049 to (hopefully) resolve the issues.

JTannerWMF moved this task from Inbox to To Triage on the Growth-Team board.Jul 10 2018, 5:31 PM